//
//  YouTubeCell.m
//  Ambassadors
//
//  Created by Kimberly Hsiao on 6/19/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "YouTubeCell.h"
#import "Constants.h"

@implementation YouTubeCell

@synthesize youtubeThumbnailWebView = _youtubeThumbnailWebView;
@synthesize nameOfVideo = _nameOfVideo;
@synthesize favoritedBy = _favoritedBy;

//- (UIWebView*)youtubeThumbnailWebView {
//    if (!_youtubeThumbnailWebView) {
//        _youtubeThumbnailWebView = [[UIWebView alloc] init];
//    }
//    return _youtubeThumbnailWebView;
//}

- (void) layoutSubviews
{   
    [super layoutSubviews];
    
    // set alignment of friend's picture to top left of the table cell
    self.imageView.frame = CGRectMake(VIDEOTHUMBNAILMARGIN,
                                      VIDEOTHUMBNAILMARGIN,
                                      VIDEOTHUMBNAILWIDTH,
                                      VIDEOTHUMBNAILHEIGHT);
    
    self.nameOfVideo.frame = CGRectMake(VIDEOTHUMBNAILWIDTH + 2*VIDEOTHUMBNAILMARGIN,
                                      VIDEOTHUMBNAILMARGIN,
                                      VIDEONAMETEXTWIDTH,
                                      self.nameOfVideo.frame.size.height);
    
    self.favoritedBy.frame = CGRectMake(VIDEOTHUMBNAILWIDTH + 2*VIDEOTHUMBNAILMARGIN,
                                              4.5*VIDEOTHUMBNAILMARGIN,
                                              VIDEONAMETEXTWIDTH,
                                              self.favoritedBy.frame.size.height);
    
}

@end
